#property library
#include    <Trade\Trade.mqh>
            CTrade trade;
//+------------------------------------------------------------------+
//| Declare Variables                                                      |
//+------------------------------------------------------------------+
   double macd_using_mom_MAIN[];
   double macd_using_mom_SIGNAL[];
   double macd_using_vol_MAIN[];
   double macd_using_vol_SIGNAL[];   
   double macd_MAIN[];
   double macd_SIGNAL[];
   
   double ask;
   double bid;
   double balance;
   double equity;
   int lot;
   int h_macd_using_mom=INVALID_HANDLE;
   int h_macd_using_vol=INVALID_HANDLE;
   int h_macd=INVALID_HANDLE;
   int macd_combo_signal;

//+------------------------------------------------------------------+
   int macd_combo_trade_signal() export
  {
      ask     =  NormalizeDouble(SymbolInfoDouble(_Symbol,SYMBOL_ASK),_Digits); 
      bid     =  NormalizeDouble(SymbolInfoDouble(_Symbol,SYMBOL_BID),_Digits); 
      balance =  AccountInfoDouble(ACCOUNT_BALANCE);
      equity  =  AccountInfoDouble(ACCOUNT_EQUITY);
      
                  if (equity >= balance)
                        {lot=1;}
                  if (balance>1800)                                                        // open 2 long positions  
                        {lot=2;}
                  if (balance>2800)                                                        // open 3 long positions  
                        {lot=3;}                     
                  if (balance>3800)                                                        // open 4 long positions  
                        {lot=4;}                     
                  if (balance>4800)                                                       // open 5 long positions  
                        {lot=5;}                     
                  if (balance>5800)                                                       // open 6 long positions  
                        {lot=6;}                     
                  if (balance>6800)                                                       // open 7 long positions  
                        {lot=7;}                     
                  if (balance>7800)                                                       // open 8 long positions  
                        {lot=8;}                     
                  if (balance>8800)                                                       // open 9 long positions  
                        {lot=9;}                                                               
                  if (balance>9800)                                                       // open 10 long positions  
                        {lot=10;}
                  if (equity >= balance)

// Get MACD values using Momentum values
//   if(   h_macd_using_mom==INVALID_HANDLE){h_macd_using_mom=iMACD(_Symbol,_Period,12,26,9,iMomentum(_Symbol,_Period,21,PRICE_CLOSE));return(0);}
//   else{ if(CopyBuffer(h_macd_using_mom,0,0,5,macd_using_mom_MAIN)<6)return(0);if(CopyBuffer(h_macd_using_mom,1,0,5,macd_using_mom_SIGNAL)<6)return(0);
//         if(!ArraySetAsSeries(macd_using_mom_MAIN,true))return(0);if(!ArraySetAsSeries(macd_using_mom_SIGNAL,true))return(0);}
// Get MACD values using Volume values
   if(   h_macd_using_vol==INVALID_HANDLE){h_macd_using_vol=iMACD(_Symbol,_Period,12,26,9,VOLUME_REAL);return(0);}
   else{ if(CopyBuffer(h_macd_using_vol,0,0,5,macd_using_vol_MAIN)<6)return(0);if(CopyBuffer(h_macd_using_vol,1,0,5,macd_using_vol_SIGNAL)<6)return(0);
         if(!ArraySetAsSeries(macd_using_vol_MAIN,true))return(0);if(!ArraySetAsSeries(macd_using_vol_SIGNAL,true))return(0);
         
         
      Print( "\n","\n","\n","\n","\n","\n","\n","\n",
               "  macd_using_vol_MAIN    =  ",macd_using_vol_MAIN[0],"\n",
               "  macd_using_vol_SIGNAL  =  ",macd_using_vol_SIGNAL[0]);}         
         
// Get MACD values using Price values   
//   if(   h_macd==INVALID_HANDLE){h_macd=iMACD(_Symbol,_Period,12,26,9,PRICE_CLOSE);return(0);}
//   else{ if(CopyBuffer(h_macd,0,0,5,macd_MAIN)<6)return(0);if(CopyBuffer(h_macd,1,0,6,macd_SIGNAL)<5)return(0);
//         if(!ArraySetAsSeries(macd_MAIN,true))return(0);if(!ArraySetAsSeries(macd_SIGNAL,true))return(0);}

   if( PositionSelect(_Symbol)!=true)
      {//trade.Buy (lot,_Symbol,ask,0,0,NULL);
      macd_combo_signal=1;}
      
      return macd_combo_signal;
   }      
//+------------------------------------------------------------------+
